using EVCB_OCPP.Packet.Features.RemoteTrigger;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features
{
   
    public class RemoteTriggerProfile : Profile
    {
        public RemoteTriggerProfile()
        {
            Name = "RemoteTrigger";
            //加入支援的Features
            features.Add(new TriggerMessageFeature());         



            actions.Add(Actions.TriggerMessage.ToString());
       



        }

        public string GetActionFromConfirmation(Type seekType)
        {
            return features.Where(x => x.GetConfirmationType() == seekType).FirstOrDefault().GetAction();
        }

        public string GetActionFromRequest(Type seekType)
        {
            return GetFeaturebyType(seekType).GetAction();
        }




    }
}
